Bug 444844 - USB KVM switch crashes install
USB KVM switch crashes install
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
Blocks: F9Target
  Show dependency treegraph
Reported: 2008-04-30 21:40 EDT by Chris Adams
Modified: 2009-07-14 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 12:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Adams 2008-04-30 21:40:28 EDT
I'm attempting to install rawhide (2008-04-30) on a computer with a USB keyboard
and mouse connected through a USB KVM switch.  If I start the install (get to
the GUI) and then switch the KVM to another computer, the install crashes.  I get:

mini-wm: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
anaconda: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.0.
install exited abnormally [1/1]

and then it halts.

AFAIK my USB KVM switch looks the same as unplugging the USB devices and then
plugging them back in.
Comment 1 Jeremy Katz 2008-04-30 21:48:48 EDT
Can you try to grab /tmp/X.log and see if there's anything there?  (if you add
'nokill' to the kernel command line, your shell won't get killed)
Comment 2 Chris Adams 2008-04-30 22:06:37 EDT
I tried adding nokill, but it still killed my shell.  I did do a "tail -f" on
/tmp/X.log, and I didn't see anything (before the tail process was killed anyway).

It does appear to be mouse related (and not KVM related really).  I unplugged
the keyboard from the KVM switch and nothing happened; plugged it back in and it
worked.  I unplugged the mouse and X died.
Comment 3 Chris Adams 2008-04-30 23:32:51 EDT
FYI: Once I get the system installed and running, X does not crash when I unplug
the mouse.
Comment 5 Bug Zapper 2008-05-14 06:27:08 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 6 Bug Zapper 2009-06-09 20:32:37 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 7 Bug Zapper 2009-07-14 12:49:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.